/**
 * Keyboard Turtle Control
 *  
**/

import processing.serial.*;

Serial myPort;  // Create object from Serial class
int val;        // Data received from the serial port

void setup() 
{
  size(500, 500);
  // I know that the first port in the serial list on my mac
  // is always my  FTDI adaptor, so I open Serial.list()[0].
  // On Windows machines, this generally opens COM1.
  // Open whatever port is the one you're using.
  String portName = "COM35";
  myPort = new Serial(this, portName, 115200);
}

void draw() { 
  // keep draw() here to continue looping while waiting for keys
}

void keyPressed() {
  if (key == 'w') {
    myPort.write('w'); 
  }
  else if (key == 'a') {
    myPort.write('a');
  }
  else if (key == 'd') {
    myPort.write('d');
  }
  else if (key == 's') {
    myPort.write('s');
  }
  else{
    myPort.write('x');
  }
}
